package eu.e99.playerheads;

import net.fabricmc.api.ModInitializer;
import net.minecraft.loot.function.LootFunctionType;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.util.Identifier;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class PlayerHeads implements ModInitializer {

    public static final String NAMESPACE = "playerheads";
    public static final Logger LOGGER = LoggerFactory.getLogger(NAMESPACE);

    public static final String TAG_SHOT_FROM_DISPENSER = "__shot_from_dispenser__";

    public static final LootFunctionType<CopyPlayerHeadLootFunction> COPY_PLAYER_HEAD = Registry.register(
            Registries.LOOT_FUNCTION_TYPE,
            newIdentifier("copy_player_head"),
            new LootFunctionType<>(CopyPlayerHeadLootFunction.CODEC)
    );

    @Override
    public void onInitialize() {
    }

    public static Identifier newIdentifier(String path) {
        return Identifier.of(NAMESPACE, path);
    }
}
